#1617 texlive: dvips segmentation fault

10.5_(32-bit_Intel)
closed-accepted
7
2011-05-24
2011-01-31
OrJ
No

Since upgrading to texlive 0.20100722-1, certain latex files using the "geometry" package make dvips segfault. Included are a sample tt.tex and tt.dvi to illustrate: if you comment out the 2 lines of the preamble with "geometry", the problem goes away.

My system:
$ fink -V
Package manager version: 0.29.19
Distribution version: selfupdate-rsync Sun Jan 30 21:59:38 2011, 10.6, x86_64
Trees: local/main stable/main stable/crypto unstable/main unstable/crypto

ii texlive 0.20100722-1 Bundle package for TeX Live

Here is the dvips log before crashing:

$ dvips tt.dvi
This is dvips(k) 5.99 Copyright 2010 Radical Eye Software (www.radicaleye.com)
' TeX output 2011.01.31:0948' -> tt.ps
</sw/share/texmf/dvips/base/tex.pro>
</sw/share/texmf-dist/fonts/enc/dvips/cm-super/cm-super-t1.enc>
</sw/share/texmf/dvips/base/texps.pro>. Segmentation fault

and its verbose version:

$ dvips -d64 tt.dvi
kdebug:fopen(/sw/share/texmf/web2c/texmf.cnf, r) => 0x7fff70062f40
kdebug:fclose(0x7fff70062f40) => 0
kdebug:fopen(/sw/share/texmf/web2c/texmf.cnf, r) => 0x7fff70062f40
kdebug:fclose(0x7fff70062f40) => 0
kdebug:fopen(/sw/etc/texmf-config/ls-R, r) => 0x7fff70062f40
kdebug:fclose(0x7fff70062f40) => 0
kdebug:fopen(/sw/etc/texmf-config/ls-r, r) => 0x7fff70062f40
kdebug:fclose(0x7fff70062f40) => 0
kdebug:fopen(/sw/var/lib/texmf/ls-R, r) => 0x7fff70062f40
kdebug:fclose(0x7fff70062f40) => 0
kdebug:fopen(/sw/var/lib/texmf/ls-r, r) => 0x7fff70062f40
kdebug:fclose(0x7fff70062f40) => 0
kdebug:fopen(/sw/share/texmf-local/ls-R, r) => 0x7fff70062f40
kdebug:fclose(0x7fff70062f40) => 0
kdebug:fopen(/sw/share/texmf-local/ls-r, r) => 0x7fff70062f40
kdebug:fclose(0x7fff70062f40) => 0
kdebug:fopen(/sw/share/texmf/ls-R, r) => 0x7fff70062f40
kdebug:fopen(/sw/share/texmf-dist/dvips/config/config.ps, r) => 0x7fff70062f40
kdebug:fopen(/sw/share/texmf-dist/fonts/map/dvips/tetex/cid-base.map, r) => 0x7fff70062fd8
kdebug:fclose(0x7fff70062fd8) => 0
kdebug:fclose(0x7fff70062f40) => 0
kdebug:fopen(/sw/var/lib/texmf/fonts/map/dvips/updmap/psfonts.map, r) => 0x7fff70062f40
kdebug:fclose(0x7fff70062f40) => 0
This is dvips(k) 5.99 Copyright 2010 Radical Eye Software (www.radicaleye.com)
kdebug:fopen(tt.dvi.dvi, rb) => 0x0
kdebug:fopen(tt.dvi, rb) => 0x7fff70062f40
kdebug:fopen(/sw/share/texmf/dvips/base/tex.pro, rb) => 0x7fff70062fd8
kdebug:fclose(0x7fff70062fd8) => 0
' TeX output 2011.01.31:0948' -> tt.ps
kdebug:fopen(/sw/share/texmf-dist/fonts/enc/dvips/cm-super/cm-super-t1.enc, rb) => 0x7fff70062fd8
kdebug:fclose(0x7fff70062fd8) => 0
kdebug:fopen(/sw/share/texmf-dist/fonts/map/fontname/texfonts.map, r) => 0x7fff70062fd8
kdebug:fclose(0x7fff70062fd8) => 0
kdebug:fopen(/sw/share/texmf-dist/fonts/map/fontname/texfonts.map, r) => 0x7fff70062fd8
kdebug:fclose(0x7fff70062fd8) => 0
kdebug:fopen(/sw/share/texmf-dist/fonts/tfm/jknappen/ec/ecrm1728.tfm, rb) => 0x7fff70062fd8
kdebug:fclose(0x7fff70062fd8) => 0
kdebug:fopen(/sw/share/texmf-dist/fonts/tfm/jknappen/ec/ecbx1200.tfm, rb) => 0x7fff70062fd8
kdebug:fclose(0x7fff70062fd8) => 0
kdebug:fopen(/sw/share/texmf-dist/fonts/tfm/jknappen/ec/ecrm1200.tfm, rb) => 0x7fff70062fd8
kdebug:fclose(0x7fff70062fd8) => 0
kdebug:fopen(/sw/share/texmf/dvips/base/texps.pro, rb) => 0x7fff70062fd8
kdebug:fclose(0x7fff70062fd8) => 0
kdebug:fopen(tt.ps, w) => 0x7fff70062fd8
kdebug:fopen(/sw/share/texmf/dvips/base/tex.pro, rb) => 0x7fff70063070
</sw/share/texmf/dvips/base/tex.pro>kdebug:fclose(0x7fff70063070) => 0
kdebug:fopen(/sw/share/texmf-dist/fonts/enc/dvips/cm-super/cm-super-t1.enc, rb) => 0x7fff70063070

</sw/share/texmf-dist/fonts/enc/dvips/cm-super/cm-super-t1.enc>kdebug:fclose(0x7fff70063070) => 0
kdebug:fopen(/sw/share/texmf/dvips/base/texps.pro, rb) => 0x7fff70063070

</sw/share/texmf/dvips/base/texps.pro>kdebug:fclose(0x7fff70063070) => 0
. kdebug:fopen(/sw/share/texmf-dist/fonts/enc/dvips/cm-super/cm-super-t1.enc, rb) => 0x7fff70063070
kdebug:fclose(0x7fff70063070) => 0
Segmentation fault

Discussion

  • OrJ
    OrJ
    2011-01-31

     
    Attachments
  • OrJ
    OrJ
    2011-01-31

     
    Attachments
  • OrJ
    OrJ
    2011-01-31

    • priority: 5 --> 7
    • assigned_to: nobody --> chris01
     
  • OrJ
    OrJ
    2011-02-10

    Updates (after email exchanges with fink developpers)
    - the problem only appears with the 64bits version x86_64, not with x86_32
    - the problem disappears only when commenting out the line
    \usepackage[T1]{fontenc}

     
  • Who assigned chris01 here? He hasn't done any Fink stuff in a long time?

     
  • Who assigned chris01 here? He hasn't done any Fink stuff in a long time.

     
    • assigned_to: chris01 --> okayama
     
  • ping for Tomoaki Okayama

     
  • Yes? I have never touched this forum.
    I think this bug is already fixed.

     
  • I sent the message

    1) To make sure that you were getting the messages after I reassigned the bug to you today.
    2) And to see if you knew about the bug. :-)

    If it's fixed, then I'll close this out.

     
  • Yeah there seems to be no reason to open this issue.
    According to the cvs log, this bug was fixed on 2011/02/11 10:01:08.

     
  • Thanks! Closing it out now.

     
    • status: open --> closed-accepted